<!DOCTYPE html>
<html lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        {% if title %}
        <title>Microservice Flask - {{ title }}</title>
        {% else %}
        <title>Microservice Flask</title>
        {% endif %}
        <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='css/styles.css') }}"/>
        {% block head %}{% endblock %} 
    </head>
    <body>
        <header>
            {% block header %}{% endblock %}
        </header>
        <main class="container">
        {% block content %}{% endblock %} 
        </main>
        <footer>{% block footer %}{% endblock %}</footer>
        <script src="{{ url_for('static', filename='js/script.js') }}"></script>
    </body>
</html>